#include <bits/stdc++.h>
using namespace std;

int main()
{
    freopen("numbers.in", "r", stdin);
    freopen("numbers.out", "w", stdout);
    int n, m;
    cin >> n >> m;
    assert(n < 10 && m <= 1000);
    int ten = 1;
    while (ten <= n)
        ten *= 10;
    if (m % ten < n)
        cout << m / ten;
    else
        cout << m / ten + 1;
    return 0;
}